@charset "utf-8";  
/* CSS-Dokument */

h1 {
	color: #E31E25;
}

.container-fluid4 {
	margin-top: 10px;
	text-align: center;
	width: 80%; 
  	margin: 0 auto; 
  	padding: 20px;
	flex-grow: 1;
}

.Ortsbrandmeister-container {
  display: flex;
  flex-grow: 1;
  justify-content: space-around;
  align-items: center;
  gap: 20px;
  margin-top: 25px;
  width: 100vw;
  height: 50vh;
}

.bild {
  text-align: center;
}

.bild img {
  margin-top: 10px;
  width: 200px;
  height: auto;
  border-radius: 10px;
}

.bild p {
  margin-top: 10px;
  font-size: 16px;
}

.bild a {
  display: block;
  margin-top: 10px;
  font-size: 14px;
  text-decoration: none;
  margin-bottom: 20px;
  color: #E31E25;    
  transition: color 0.3s;
}

.bild a:hover {
  color: #FDDB00;
}

.modal {
    display: none; 
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    overflow: auto;
    padding: 60px;
}

.modal-content {
    max-width: 90vw;
    max-height: 90vh;
    width: auto;
    height: auto;
    margin: auto;
    display: block;
    border-radius: 10px;
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

.clickable-img {
    cursor: pointer;
    width: 100%;
}

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex-grow: 1;
}

@media (max-width: 768px) {
  .Ortsbrandmeister-container {
    flex-direction: column;
    align-items: center; 
    justify-content: center;
    height: auto;
    gap: 40px;
    padding-bottom: 20px;
  }

  .bild {
    text-align: center;
    width: 100%; 
    display: flex;
    flex-direction: column;
    align-items: center; 
  }

  .bild img {
    width: 80%;
    max-width: 300px;
    height: auto;
  }

  .bild p,
  .bild a {
    font-size: 16px;
    width: 90%;
  }
}
	
  .container-fluid4 {
    height: auto !important;
    min-height: auto !important;
  }
  

@media screen and (max-width: 992px) and (orientation: landscape) {
  
	html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    flex-direction: column;
  }

  main {
    flex: 1 0 auto;
    padding-bottom: 250px;
  }

  footer {
    flex-shrink: 0;
  }
	
	.Ortsbrandmeister-container {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 125px; 
    padding-bottom: 100px; 
  }

  .bild {
    width: 40%;
    max-width: 180px;
    text-align: center;
  }

  .bild img {
    width: 100%;
    height: auto;
    border-radius: 10px;
  }

  .bild p {
    font-size: 14px;
    margin-top: 5px;
  }

  .bild a {
    font-size: 13px;
    margin-top: 5px;
    display: block;
    color: #E31E25;
    margin-bottom: 20px;
  }
}
